#include <stdlib.h>
#include "allocate2d.h"

int allocate2d(int dim_i, int dim_j, float*** data) {
  float** mat;

  mat = (float**) malloc( sizeof(float*) * dim_i );
  if(mat == NULL) return -1;

  for(int i=0; i<dim_i; ++i) {
    mat[i] = (float*) malloc( sizeof(float) * dim_j );
    if(mat[i] == NULL) return -1; // Memory leak, ma dobbiamo comunque terminare il programma.
  }

  *data = mat;
  return 0;
}
